"use strict";
this.name        = "servicelevelrepair";
this.author      = "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 3.0";
this.description = "Service Level Repair Kit appear if damaged only.";
this.version     = "1.2";

this.allowAwardEquipment = function(eqKey, ship, context)
{
	if( ship === player.ship && context === "purchase" ) {
		if(eqKey==="EQ_SERVICE_LEVEL_REPAIR" &&
			player.ship.equipmentStatus("EQ_SERVICE_LEVEL_"+player.ship.serviceLevel)
				== "EQUIPMENT_DAMAGED" ) {
			return true;
		}
		var sl = player.ship.serviceLevel;
		if(eqKey==="EQ_SERVICE_LEVEL_SMALL_FIX_1" && sl < 76 ) return true;
		if(eqKey==="EQ_SERVICE_LEVEL_SMALL_FIX_2" && sl >= 76 && sl < 80 ) return true;
		if(eqKey==="EQ_SERVICE_LEVEL_SMALL_FIX_3" && sl >= 80 && sl < 90 ) return true;
		if(eqKey==="EQ_SERVICE_LEVEL_SMALL_FIX_4" && sl >= 90 && sl < 100 ) return true;
	}
	return false;
}
